
source("MCMC_simple.R")

nsim=100
N.opt=c(100,500)
pi.opt=c(.6,.8)
p11.opt=c(.6,.6,.8)
p13.opt=c(.3,.1,.1)
p22.opt=c(.6,.6,.8)
p23.opt=c(.3,.1,.1)
for(iN in 1:2){
	for(ipi in 1:3){
		for(ip1 in 1:3){
			for(ip2 in 1:3){
				Out=data.frame(matrix(0,nsim,14))
				N=N.opt[iN]
				pi1=pi.opt[ipi]
				p11=p11.opt[ip1]
				p13=p13.opt[ip1]
				p22=p22.opt[ip2]
				p23=p23.opt[ip2]
				N1=N*pi1
				for(isim in 1:nsim){
					colnames(Out)=c("N","pi","p11","p13","p22","p23","bias1","cov1","sq.err1","sd1","bias","cov","sq.err","sd")
					Dat=sim_data_misID_simple(N,pi1,p11,p13,p22,p23)
					pi1.est=(Dat[1]+Dat[3])/(Dat[1]+Dat[3]+Dat[4]+Dat[5])
					N.est=round(N*pi1.est)
					Out[isim,1:6]=c(N,pi1,p11,p13,p22,p23)
					Out[isim,"bias1"]=(N.est-N1)/N1
					CI=prof_lik_binom((Dat[1]+Dat[3]+Dat[4]+Dat[5]),(Dat[1]+Dat[3]))*N
					if(N1>CI[1] & N1<CI[2])Out[isim,"cov1"]=1
					Out[isim,"sq.err1"]=(N1-N.est)^2
					Out[isim,"sd1"]=sqrt((Dat[1]+Dat[3]+Dat[4]+Dat[5])*pi1.est*(1-pi1.est))
					MCMC=MCMC_simple(Dat)$phi[2001:12000]
					Nmean=N*mean(MCMC)
					Out[isim,"bias"]=(Nmean-N1)/N1
					if(pi1>quantile(MCMC,0.025) & pi1<quantile(MCMC,0.975))Out[isim,"cov"]=1
					Out[isim,"sq.err"]=(Nmean-N1)^2
					Out[isim,"sd"]=sqrt(var(N*MCMC))
				}			
				save(Out,file=paste("N",iN,"pi",ipi,"p1",ip1,"p2",ip2,".Rdata",sep=''))
			}
		}
	}
}