source("MCMC_simple.R")


nsim=100
N.opt=c(100,500)
pi.opt=c(.6,.8)
p11.opt=c(.6,.6,.6,.8,.8)
p12.opt=c(.3,.1,.1,.1,.1)
p22.opt=c(.6,.6,.8,.6,.8)
gold.opt=c(20,100)
for(iN in 1:2){
	for(ipi in 1:2){
		for(ip in 1:5){
      for(ig in 1:2){
				Out=data.frame(matrix(0,nsim,11))
				N=N.opt[iN]
				pi1=pi.opt[ipi]
				p11=p11.opt[ip]
				p12=p12.opt[ip]
				p22=p22.opt[ip]
				p21=p12
				p13=1-p11-p12
				p23=1-p21-p22
				N1=N*pi1
        w=gold.opt[ig]
				for(isim in 1:nsim){
					colnames(Out)=c("N","pi","p11","p13","p22","p23","w","bias","cov","sq.err","sd")
					Dat=sim_data_misID_1sp(N,pi1,p11,p12,p22,p21)
					Gold.data=t(cbind(rmultinom(1,w,prob=c(p11,p12,p13)),rmultinom(1,w,prob=c(p21,p22,p23))))            
					Out[isim,1:7]=c(N,pi1,p11,p13,p22,p23,w)
					MCMC=MCMC_gold_standard(Dat,Gold.data)$phi[2001:12000]
					Nmean=N*mean(MCMC)
					Out[isim,"bias"]=(Nmean-N1)/N1
					if(pi1>quantile(MCMC,0.025) & pi1<quantile(MCMC,0.975))Out[isim,"cov"]=1
					Out[isim,"sq.err"]=(Nmean-N1)^2
					Out[isim,"sd"]=sqrt(var(N*MCMC))
				}			
				save(Out,file=paste("N",iN,"pi",ipi,"p",ip,"g",ig,".Rdata",sep=''))
			}
		}
	}
}